#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './logview_base.ui'
**
** Created: dim sep 12 16:30:16 2004
**      by: The User Interface Compiler ()
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "logview_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a logview_base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
logview_base::logview_base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "logview_base" );
    logview_baseLayout = new QGridLayout( this, 1, 1, 11, 6, "logview_baseLayout"); 

    groupbox = new QGroupBox( this, "groupbox" );
    groupbox->setMinimumSize( QSize( 0, 0 ) );
    groupbox->setColumnLayout(0, Qt::Vertical );
    groupbox->layout()->setSpacing( 6 );
    groupbox->layout()->setMargin( 11 );
    groupboxLayout = new QGridLayout( groupbox->layout() );
    groupboxLayout->setAlignment( Qt::AlignTop );
    spacer1 = new QSpacerItem( 21, 10, QSizePolicy::Minimum, QSizePolicy::Expanding );
    groupboxLayout->addItem( spacer1, 7, 0 );

    textLabel3 = new QLabel( groupbox, "textLabel3" );

    groupboxLayout->addMultiCellWidget( textLabel3, 4, 4, 0, 2 );

    timeLabel = new QLabel( groupbox, "timeLabel" );

    groupboxLayout->addWidget( timeLabel, 4, 3 );

    textLabel1 = new QLabel( groupbox, "textLabel1" );

    groupboxLayout->addMultiCellWidget( textLabel1, 5, 5, 0, 1 );

    heightLabel = new QLabel( groupbox, "heightLabel" );

    groupboxLayout->addWidget( heightLabel, 5, 3 );

    textLabel1_4 = new QLabel( groupbox, "textLabel1_4" );

    groupboxLayout->addMultiCellWidget( textLabel1_4, 6, 6, 0, 1 );

    algoLabel = new QLabel( groupbox, "algoLabel" );

    groupboxLayout->addWidget( algoLabel, 6, 3 );
    spacer2 = new QSpacerItem( 20, 10, QSizePolicy::Minimum, QSizePolicy::Expanding );
    groupboxLayout->addItem( spacer2, 7, 3 );

    areaLabel = new QLabel( groupbox, "areaLabel" );

    groupboxLayout->addWidget( areaLabel, 3, 3 );

    areaCLabel = new QLabel( groupbox, "areaCLabel" );

    groupboxLayout->addMultiCellWidget( areaCLabel, 3, 3, 0, 1 );

    textLabel1_3 = new QLabel( groupbox, "textLabel1_3" );

    groupboxLayout->addMultiCellWidget( textLabel1_3, 2, 2, 0, 1 );

    largLabel = new QLabel( groupbox, "largLabel" );

    groupboxLayout->addMultiCellWidget( largLabel, 2, 2, 2, 3 );

    textLabel1_2_2 = new QLabel( groupbox, "textLabel1_2_2" );

    groupboxLayout->addMultiCellWidget( textLabel1_2_2, 1, 1, 0, 1 );

    iterLabel = new QLabel( groupbox, "iterLabel" );

    groupboxLayout->addMultiCellWidget( iterLabel, 1, 1, 2, 3 );

    textLabel1_2 = new QLabel( groupbox, "textLabel1_2" );

    groupboxLayout->addWidget( textLabel1_2, 0, 0 );

    nbrectLabel = new QLabel( groupbox, "nbrectLabel" );

    groupboxLayout->addMultiCellWidget( nbrectLabel, 0, 0, 1, 3 );

    logview_baseLayout->addWidget( groupbox, 0, 0 );

    groupBox5 = new QGroupBox( this, "groupBox5" );
    groupBox5->setColumnLayout(0, Qt::Vertical );
    groupBox5->layout()->setSpacing( 6 );
    groupBox5->layout()->setMargin( 11 );
    groupBox5Layout = new QGridLayout( groupBox5->layout() );
    groupBox5Layout->setAlignment( Qt::AlignTop );

    log = new QTextEdit( groupBox5, "log" );
    log->setEnabled( TRUE );
    log->setReadOnly( TRUE );

    groupBox5Layout->addWidget( log, 0, 0 );

    logview_baseLayout->addWidget( groupBox5, 0, 1 );
    languageChange();
    resize( QSize(482, 297).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
logview_base::~logview_base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void logview_base::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    groupbox->setTitle( tr2i18n( "Last computation" ) );
    textLabel3->setText( tr2i18n( "Running time :" ) );
    timeLabel->setText( tr2i18n( "10 sec" ) );
    textLabel1->setText( tr2i18n( "Total height :" ) );
    heightLabel->setText( tr2i18n( "1000" ) );
    textLabel1_4->setText( tr2i18n( "Algorithm used :" ) );
    algoLabel->setText( tr2i18n( "none" ) );
    areaLabel->setText( tr2i18n( "<p align=\"right\">70%</p>" ) );
    areaCLabel->setText( tr2i18n( "Area covered :" ) );
    textLabel1_3->setText( tr2i18n( "Band Width :" ) );
    largLabel->setText( tr2i18n( "<p align=\"right\">6000</p>" ) );
    textLabel1_2_2->setText( tr2i18n( "Iterations :" ) );
    iterLabel->setText( tr2i18n( "<p align=\"right\">25</p>" ) );
    textLabel1_2->setText( tr2i18n( "Rectangles :" ) );
    nbrectLabel->setText( tr2i18n( "<p align=\"right\">0</p>" ) );
    groupBox5->setTitle( tr2i18n( "Logged information" ) );
}

#include "logview_base.moc"
