#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './gui_prefs.ui'
**
** Created: dim sep 12 15:45:06 2004
**      by: The User Interface Compiler ()
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "gui_prefs.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a gui_prefs as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
gui_prefs::gui_prefs( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "gui_prefs" );
    gui_prefsLayout = new QGridLayout( this, 1, 1, 11, 6, "gui_prefsLayout"); 

    kcfg_ColorMode = new QButtonGroup( this, "kcfg_ColorMode" );
    kcfg_ColorMode->setEnabled( TRUE );
    kcfg_ColorMode->setExclusive( FALSE );
    kcfg_ColorMode->setColumnLayout(0, Qt::Vertical );
    kcfg_ColorMode->layout()->setSpacing( 6 );
    kcfg_ColorMode->layout()->setMargin( 11 );
    kcfg_ColorModeLayout = new QGridLayout( kcfg_ColorMode->layout() );
    kcfg_ColorModeLayout->setAlignment( Qt::AlignTop );

    RandomPlain = new QRadioButton( kcfg_ColorMode, "RandomPlain" );
    RandomPlain->setChecked( FALSE );
    kcfg_ColorMode->insert( RandomPlain, 2 );

    kcfg_ColorModeLayout->addWidget( RandomPlain, 2, 0 );

    GrayScale = new QRadioButton( kcfg_ColorMode, "GrayScale" );

    kcfg_ColorModeLayout->addWidget( GrayScale, 1, 0 );

    NoColors = new QRadioButton( kcfg_ColorMode, "NoColors" );
    kcfg_ColorMode->insert( NoColors, 0 );

    kcfg_ColorModeLayout->addWidget( NoColors, 0, 0 );

    RandomLight = new QRadioButton( kcfg_ColorMode, "RandomLight" );

    kcfg_ColorModeLayout->addWidget( RandomLight, 3, 0 );

    gui_prefsLayout->addWidget( kcfg_ColorMode, 0, 1 );

    kcfg_Fisheye = new QButtonGroup( this, "kcfg_Fisheye" );
    kcfg_Fisheye->setColumnLayout(0, Qt::Vertical );
    kcfg_Fisheye->layout()->setSpacing( 6 );
    kcfg_Fisheye->layout()->setMargin( 11 );
    kcfg_FisheyeLayout = new QGridLayout( kcfg_Fisheye->layout() );
    kcfg_FisheyeLayout->setAlignment( Qt::AlignTop );

    NoFisheye = new QRadioButton( kcfg_Fisheye, "NoFisheye" );

    kcfg_FisheyeLayout->addWidget( NoFisheye, 0, 0 );

    Sphere = new QRadioButton( kcfg_Fisheye, "Sphere" );

    kcfg_FisheyeLayout->addWidget( Sphere, 1, 0 );

    Square = new QRadioButton( kcfg_Fisheye, "Square" );

    kcfg_FisheyeLayout->addWidget( Square, 2, 0 );

    gui_prefsLayout->addWidget( kcfg_Fisheye, 1, 0 );

    buttonGroup2 = new QButtonGroup( this, "buttonGroup2" );
    buttonGroup2->setRadioButtonExclusive( FALSE );
    buttonGroup2->setColumnLayout(0, Qt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new QGridLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( Qt::AlignTop );

    checkBox2 = new QCheckBox( buttonGroup2, "checkBox2" );
    checkBox2->setEnabled( FALSE );
    checkBox2->setChecked( TRUE );
    checkBox2->setTristate( FALSE );

    buttonGroup2Layout->addWidget( checkBox2, 1, 0 );

    kcfg_isLabelVisible = new QCheckBox( buttonGroup2, "kcfg_isLabelVisible" );
    kcfg_isLabelVisible->setEnabled( TRUE );
    kcfg_isLabelVisible->setChecked( TRUE );

    buttonGroup2Layout->addWidget( kcfg_isLabelVisible, 0, 0 );

    gui_prefsLayout->addWidget( buttonGroup2, 0, 0 );
    languageChange();
    resize( QSize(532, 326).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
gui_prefs::~gui_prefs()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void gui_prefs::languageChange()
{
    setCaption( tr2i18n( "guiprefs" ) );
    kcfg_ColorMode->setTitle( tr2i18n( "Colors" ) );
    RandomPlain->setText( tr2i18n( "Random Colors" ) );
    GrayScale->setText( tr2i18n( "Grayscale" ) );
    NoColors->setText( tr2i18n( "No colors" ) );
    RandomLight->setText( tr2i18n( "Random colors (light)" ) );
    kcfg_Fisheye->setTitle( tr2i18n( "Fisheye options" ) );
    NoFisheye->setText( tr2i18n( "No fisheye" ) );
    Sphere->setText( tr2i18n( "Sphere" ) );
    Square->setText( tr2i18n( "Square" ) );
    buttonGroup2->setTitle( tr2i18n( "Box options" ) );
    checkBox2->setText( tr2i18n( "Flipped Boxes Indications" ) );
    kcfg_isLabelVisible->setText( tr2i18n( "Box Numbering" ) );
}

#include "gui_prefs.moc"
